若使用yum install nodejs npm -y安装,安装后的nodejs版本为6.17.1,版本低,部分应用运行会报错。
如果已经使用yum install nodejs npm -y安装,则需要先卸载当前nodejs

1.卸载当前nodejs

1
yum remove nodejs npm -y

2.删除下面目录下node相关内容

1
2
3
4
5
/usr/local/lib

/usr/local/include

/usr/local/bin

3.下载nodejs

目前官网最新的nodejs为12.14.1

1
wget https://nodejs.org/dist/v12.14.1/node-v12.14.1-linux-x64.tar.xz

4.解压

1
2
xz -d node-v12.14.1-linux-x64.tar.xz
tar -xf node-v12.14.1-linux-x64.tar

5.确认nodejs的路径

上述下载位置为~/node-v12.14.1-linux-x64

6.创建软链接

⚠️必须给全路径

1
2
ln -s ~/node-12.14.1-linux-x64/bin/node /usr/bin/node
ln -s ~/node-v12.14.1-linux-x64/bin/npm /usr/bin/npm

7.测试nodejs安装

1
2
node -v
npm -v

正确输出版本号则安装完毕